summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Luís Henrique <lmello.009@gmail.com>2010-05-12 23:27:46 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:27:46 +0200
commit7603e80bc30d31204e3a6d6097aa9be06a815afd (patch)
tree7484905cee753306bf30c77e525a913ac171fa7e
parent3e1ee1a256e4feabee5de2fc9ea239c0d92b29e9 (diff)
downloadslackbuilds-7603e80bc30d31204e3a6d6097aa9be06a815afd.tar.gz
slackbuilds-7603e80bc30d31204e3a6d6097aa9be06a815afd.tar.xz
audio/alsaplayer: Added to 12.2 repository
-rw-r--r--audio/alsaplayer/README6
-rw-r--r--audio/alsaplayer/alsaplayer.SlackBuild79
-rw-r--r--audio/alsaplayer/alsaplayer.info8
-rw-r--r--audio/alsaplayer/alsaplayer.pngbin0 -> 248 bytes
-rw-r--r--audio/alsaplayer/doinst.sh4
-rw-r--r--audio/alsaplayer/slack-desc19
6 files changed, 116 insertions, 0 deletions
diff --git a/audio/alsaplayer/README b/audio/alsaplayer/README
new file mode 100644
index 0000000000..98bbc95fd9
--- /dev/null
+++ b/audio/alsaplayer/README
@@ -0,0 +1,6 @@
+AlsaPlayer is a new type of PCM player. It is heavily multi-threaded
+and tries to excercise the ALSA library and driver quite a bit. It
+has some very interesting features unique to Linux/Unix players. The
+goal is to create a fully pluggable framework for playback of all
+sorts of media with the focus on PCM audio data.
+
diff --git a/audio/alsaplayer/alsaplayer.SlackBuild b/audio/alsaplayer/alsaplayer.SlackBuild
new file mode 100644
index 0000000000..a1910dc97d
--- /dev/null
+++ b/audio/alsaplayer/alsaplayer.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+# Slackware build script for alsaplayer
+# Written by Luís Henrique <lmello.009@gmail.com>
+
+PRGNAM=alsaplayer
+VERSION=${VERSION:-0.99.80}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL README TODO"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --enable-static=no \
+ --enable-shared=yes \
+ --enable-audiofile \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $PKG/usr/share/doc/alsaplayer/reference $PKG/usr/doc/$PRGNAM-$VERSION
+rm -r $PKG/usr/share/doc
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/usr/share/pixmaps
+cat $CWD/alsaplayer.png > $PKG/usr/share/pixmaps/alsaplayer.png
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/audio/alsaplayer/alsaplayer.info b/audio/alsaplayer/alsaplayer.info
new file mode 100644
index 0000000000..7f53edc0a8
--- /dev/null
+++ b/audio/alsaplayer/alsaplayer.info
@@ -0,0 +1,8 @@
+PRGNAM="alsaplayer"
+VERSION="0.99.80"
+HOMEPAGE="http://www.alsaplayer.org"
+DOWNLOAD="http://www.alsaplayer.org/alsaplayer-0.99.80.tar.gz"
+MD5SUM="14bcd05d89d39f89fb539d74ccf36b18"
+MAINTAINER="Lus Henrique"
+EMAIL="lmello.009@gmail.com"
+APPROVED="dsomero"
diff --git a/audio/alsaplayer/alsaplayer.png b/audio/alsaplayer/alsaplayer.png
new file mode 100644
index 0000000000..31013e2f7e
--- /dev/null
+++ b/audio/alsaplayer/alsaplayer.png
Binary files differ
diff --git a/audio/alsaplayer/doinst.sh b/audio/alsaplayer/doinst.sh
new file mode 100644
index 0000000000..65fd352418
--- /dev/null
+++ b/audio/alsaplayer/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/audio/alsaplayer/slack-desc b/audio/alsaplayer/slack-desc
new file mode 100644
index 0000000000..1faf739d32
--- /dev/null
+++ b/audio/alsaplayer/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+alsaplayer: alsaplayer (audio player)
+alsaplayer:
+alsaplayer: AlsaPlayer is a new type of PCM player. It is heavily multi-threaded
+alsaplayer: and tries to excercise the ALSA library and driver quite a bit. It
+alsaplayer: has some very interesting features unique to Linux/Unix players. The
+alsaplayer: goal is to create a fully pluggable framework for playback of all
+alsaplayer: sorts of media with the focus on PCM audio data.
+alsaplayer:
+alsaplayer: Homepage: http://www.alsaplayer.org/
+alsaplayer:
+alsaplayer: